/*
 * ModelagemEstáticaApp.java
 */

package modelagemestática;

import java.awt.image.BufferedImage;
import javax.swing.JFrame;
import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;
import java.io.*;
import java.net.*;
import javax.swing.*;
import java.util.logging.Level;
import java.util.logging.Logger;
/**
 * The main class of the application.
 */
public class ModelagemEstáticaApp extends SingleFrameApplication {

    /**
     * At startup create and show the main frame of the application.
     */
    @Override protected void startup() {

         ModelagemEstáticaView formularioprincipal = new ModelagemEstáticaView(this);
      formularioprincipal.getFrame().setTitle("MODUS-SD");
      BufferedImage image = new BufferedImage(16, 16, BufferedImage.TYPE_INT_ARGB);
             formularioprincipal.getFrame().setIconImage(image);
        JFrame mainFrame = ModelagemEstáticaApp.getApplication().getMainFrame();
             formularioprincipal.getFrame().setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
             formularioprincipal.getFrame().setLocationRelativeTo(null);
             formularioprincipal.getFrame().setSize(400, 400);
             formularioprincipal.getFrame().setResizable(false);
            // formularioprincipal.getFrame().setExtendedState(JFrame.MAXIMIZED_BOTH);
      show(formularioprincipal);
   //     show(new ModelagemEstáticaView(this));
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override protected void configureWindow(java.awt.Window root) {
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of ModelagemEstáticaApp
     */
    public static ModelagemEstáticaApp getApplication() {
        return Application.getInstance(ModelagemEstáticaApp.class);
    }

    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        launch(ModelagemEstáticaApp.class, args);
    }
    
}
