/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * Ficha_Doc_User.java
 *
 * Created on 01/12/2010, 22:44:34
 */

package modelagemestática;

import java.awt.image.BufferedImage;
import java.io.*;
import java.net.*;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
/**
 *
 * @author teste
 */
public class Ficha_Doc_User extends javax.swing.JFrame {

    private Socket armazena_cliente;
    private String nome;
    private String Data_I;
    private String Data_F;

    /** Creates new form Ficha_Doc_User */
    public Ficha_Doc_User(Socket armazena, String Nome_User, String Data_Ini, String Data_Fim) {

        initComponents();

        BufferedImage image = new BufferedImage(16, 16, BufferedImage.TYPE_INT_ARGB);
             this.setIconImage(image);
             this.setTitle("DOCUMENTOS/USUÁRIOS");
             this.setLocationRelativeTo(null);
             Tabela.setEnabled(false);
        armazena_cliente = armazena;
        nome = Nome_User;
        Data_I = Data_Ini;
        Data_F = Data_Fim;

        Object colunas[] = { "Nome do Documento" , "Path do Documento", "Data", "Hora" };

        Object linhas [][] = {
             
             
         };

        DefaultTableModel modelo = new DefaultTableModel(linhas, colunas);

        Tabela.setModel(modelo);

        try {


            // OBTEM O CANAL DE SAIDA PARA O SOCKET QUE SE COMUNICA COM O CLIENTE
            OutputStream tx = armazena_cliente.getOutputStream();
            DataOutputStream canalSaida = new DataOutputStream( tx );
            // OBTEM O CANAL DE ENTRADA PARA O SOCKET QUE SE COMUNICA COM O CLIENTE
            InputStream rx = armazena_cliente.getInputStream( );
            DataInputStream canalEntrada = new DataInputStream( rx );

            // envia o login do usuário conectado
            canalSaida.writeUTF(nome);
            canalSaida.writeUTF(Data_I);
            canalSaida.writeUTF(Data_F);
            
            int cont = canalEntrada.readInt(); // número de registros


            int cont_aux = 0;   
            DefaultTableModel modelo1 = (DefaultTableModel) Tabela.getModel();

            while(cont_aux < cont){
               String nome = canalEntrada.readUTF();
               String path = canalEntrada.readUTF();
               String data = canalEntrada.readUTF();
               String hora = canalEntrada.readUTF();
               modelo1.addRow(new String [] {nome, path, data, hora});
                cont_aux++;
            }

            Nome_D.setText(nome);
            D_I.setText(Data_I);
            D_F.setText(Data_F);
            if(cont == 0){ // não existem registros no período solicitado
                JOptionPane.showMessageDialog(null, "Não Existem Registros do Usuário Para o Período Solicitado!", "Atenção", JOptionPane.INFORMATION_MESSAGE, null);

            }


        } catch (IOException ex) {
            Logger.getLogger(Cadastro_Atualiza.class.getName()).log(Level.SEVERE, null, ex);
        }

    }

     public Ficha_Doc_User() {
        initComponents();

        BufferedImage image = new BufferedImage(16, 16, BufferedImage.TYPE_INT_ARGB);
             this.setIconImage(image);
             this.setTitle("DOCUMENTOS/USUÁRIOS");
             this.setLocationRelativeTo(null);
    }



    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        OK = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        Tabela = new javax.swing.JTable();
        Nome_D = new javax.swing.JLabel();
        Nome_D1 = new javax.swing.JLabel();
        D_F = new javax.swing.JLabel();
        Nome_D3 = new javax.swing.JLabel();
        D_I = new javax.swing.JLabel();
        statusPanel1 = new javax.swing.JPanel();
        javax.swing.JSeparator statusPanelSeparator1 = new javax.swing.JSeparator();
        statusMessageLabel1 = new javax.swing.JLabel();
        statusAnimationLabel1 = new javax.swing.JLabel();
        progressBar1 = new javax.swing.JProgressBar();
        menuBar = new javax.swing.JMenuBar();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setName("Form"); // NOI18N

        org.jdesktop.application.ResourceMap resourceMap = org.jdesktop.application.Application.getInstance(modelagemestática.ModelagemEstáticaApp.class).getContext().getResourceMap(Ficha_Doc_User.class);
        jPanel1.setBackground(resourceMap.getColor("jPanel1.background")); // NOI18N
        jPanel1.setName("jPanel1"); // NOI18N

        jLabel1.setFont(resourceMap.getFont("jLabel1.font")); // NOI18N
        jLabel1.setForeground(resourceMap.getColor("Nome_D.foreground")); // NOI18N
        jLabel1.setText(resourceMap.getString("jLabel1.text")); // NOI18N
        jLabel1.setName("jLabel1"); // NOI18N

        OK.setText(resourceMap.getString("OK.text")); // NOI18N
        OK.setName("OK"); // NOI18N
        OK.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                OKActionPerformed(evt);
            }
        });

        jScrollPane1.setName("jScrollPane1"); // NOI18N

        Tabela.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        Tabela.setName("Tabela"); // NOI18N
        jScrollPane1.setViewportView(Tabela);

        Nome_D.setFont(resourceMap.getFont("Nome_D.font")); // NOI18N
        Nome_D.setForeground(resourceMap.getColor("Nome_D.foreground")); // NOI18N
        Nome_D.setText(resourceMap.getString("Nome_D.text")); // NOI18N
        Nome_D.setName("Nome_D"); // NOI18N

        Nome_D1.setFont(resourceMap.getFont("Nome_D1.font")); // NOI18N
        Nome_D1.setForeground(resourceMap.getColor("Nome_D.foreground")); // NOI18N
        Nome_D1.setText(resourceMap.getString("Nome_D1.text")); // NOI18N
        Nome_D1.setName("Nome_D1"); // NOI18N

        D_F.setFont(resourceMap.getFont("D_F.font")); // NOI18N
        D_F.setForeground(resourceMap.getColor("Nome_D.foreground")); // NOI18N
        D_F.setText(resourceMap.getString("D_F.text")); // NOI18N
        D_F.setName("D_F"); // NOI18N

        Nome_D3.setFont(resourceMap.getFont("Nome_D3.font")); // NOI18N
        Nome_D3.setForeground(resourceMap.getColor("Nome_D3.foreground")); // NOI18N
        Nome_D3.setText(resourceMap.getString("Nome_D3.text")); // NOI18N
        Nome_D3.setName("Nome_D3"); // NOI18N

        D_I.setFont(resourceMap.getFont("D_I.font")); // NOI18N
        D_I.setForeground(resourceMap.getColor("Nome_D.foreground")); // NOI18N
        D_I.setText(resourceMap.getString("D_I.text")); // NOI18N
        D_I.setName("D_I"); // NOI18N

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(jPanel1Layout.createSequentialGroup()
                            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 703, Short.MAX_VALUE)
                            .addContainerGap())
                        .addGroup(jPanel1Layout.createSequentialGroup()
                            .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 247, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                            .addComponent(Nome_D)
                            .addGap(29, 29, 29)
                            .addComponent(Nome_D1)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                            .addComponent(D_I)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                            .addComponent(Nome_D3)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                            .addComponent(D_F)
                            .addGap(181, 181, 181)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addComponent(OK, javax.swing.GroupLayout.PREFERRED_SIZE, 104, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(307, 307, 307))))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(Nome_D)
                    .addComponent(Nome_D1)
                    .addComponent(D_F)
                    .addComponent(D_I)
                    .addComponent(Nome_D3))
                .addGap(11, 11, 11)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 266, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(35, 35, 35)
                .addComponent(OK)
                .addGap(362, 362, 362))
        );

        statusPanel1.setName("statusPanel1"); // NOI18N

        statusPanelSeparator1.setName("statusPanelSeparator1"); // NOI18N

        statusMessageLabel1.setName("statusMessageLabel1"); // NOI18N

        statusAnimationLabel1.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        statusAnimationLabel1.setName("statusAnimationLabel1"); // NOI18N

        progressBar1.setName("progressBar1"); // NOI18N

        javax.swing.GroupLayout statusPanel1Layout = new javax.swing.GroupLayout(statusPanel1);
        statusPanel1.setLayout(statusPanel1Layout);
        statusPanel1Layout.setHorizontalGroup(
            statusPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(statusPanelSeparator1, javax.swing.GroupLayout.DEFAULT_SIZE, 713, Short.MAX_VALUE)
            .addGroup(statusPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(statusMessageLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 543, Short.MAX_VALUE)
                .addComponent(progressBar1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(statusAnimationLabel1)
                .addContainerGap())
        );
        statusPanel1Layout.setVerticalGroup(
            statusPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(statusPanel1Layout.createSequentialGroup()
                .addComponent(statusPanelSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 2, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(statusPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(statusMessageLabel1)
                    .addComponent(statusAnimationLabel1)
                    .addComponent(progressBar1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(3, 3, 3))
        );

        menuBar.setName("menuBar"); // NOI18N
        setJMenuBar(menuBar);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(statusPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 387, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(statusPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(30, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void OKActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_OKActionPerformed
        // TODO add your handling code here:



        this.dispose();


    }//GEN-LAST:event_OKActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Ficha_Doc_User().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel D_F;
    private javax.swing.JLabel D_I;
    private javax.swing.JLabel Nome_D;
    private javax.swing.JLabel Nome_D1;
    private javax.swing.JLabel Nome_D3;
    private javax.swing.JButton OK;
    private javax.swing.JTable Tabela;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JMenuBar menuBar;
    private javax.swing.JProgressBar progressBar1;
    private javax.swing.JLabel statusAnimationLabel1;
    private javax.swing.JLabel statusMessageLabel1;
    private javax.swing.JPanel statusPanel1;
    // End of variables declaration//GEN-END:variables

}
